%define upstream_name PHP_Invoker
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear


Name: 		php-pear-%{upstream_name}
Version:     	1.1.3
Release:     	%mkrel 5
Summary:    	Utility class for invoking callables with a timeout
License:    	BSD License
Group:       	Networking/Mail
Url:         	http://pear.phpunit.de/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear > 1.4.7
Requires:     	php-channel-phpunit
BuildRequires:	php-pear > 1.4.7
BuildRequires: 	php-channel-phpunit

%description
Utility class for invoking callables with a timeout.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_Invoker.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_Invoker.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/PHP_Invoker
fi

%files
%doc docs/PHP_Invoker/*
%{peardir}/*
%{xmldir}/PHP_Invoker.xml


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 1.1.3-5.mga6
+ Revision: 941827
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.3-4.mga5
+ Revision: 748380
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.3-3.mga5
+ Revision: 687430
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.3-2.mga4
+ Revision: 531984
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 spuhler <spuhler> 1.1.3-1.mga4
+ Revision: 466479
- upgrade to ver 1.1.3

* Mon Jun 03 2013 spuhler <spuhler> 1.1.2-1.mga4
+ Revision: 436806
- upgrade to ver. 1.1.2

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 377208
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 10 2012 spuhler <spuhler> 1.1.0-1.mga2
+ Revision: 206768
- upgrade to 1.1.0

* Sat Dec 31 2011 spuhler <spuhler> 1.0.1-2.mga2
+ Revision: 189389
- changed BuildRequires: php-pear-channel-phpunit to BuildRequires:php-channel-phpunit

* Sun Nov 27 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 173128
- upgrade to 1.0.1

* Tue Nov 15 2011 spuhler <spuhler> 1.0.0-1.mga2
+ Revision: 167892
- imported package php-pear-PHP_Invoker

